%define version 980117
Summary:   tin News Reader
Name:      tin
Version:   1.4pre%{version}
Release:   1
Copyright: distributable
Group:     Applications/News
Source:    ftp://ftp.akk.uni-karlsruhe.de/pub/tin/tinpre-1.4-%{version}.tgz
BuildRoot: /tmp/tin-%{PACKAGE_VERSION}-root
%description
Tin is a full-screen easy to use Netnews reader. It can read news locally
(i.e., /var/spool/news) or remotely (rtin or tin -r option) via a NNTP
(Network News Transport Protocol) server. It will automatically utilize NOV
(News OVerview) style index files if available locally or via the NNTP XOVER
command.
                                                                                
Tin has four separate levels of operation: Group selection level, Group
level, Thread level and Article level. Use the 'h' (help) command to view a
list of the commands available at a particular level.

%prep
%setup -n tin-%{version}

%build
./configure --prefix=/usr \
	--enable-color \
	--with-ncurses \
	--with-nov-dir=/var/spool/news \
	--with-spooldir=/var/spool/news \
	--disable-locale \
	--disable-debug

(cd src; make)

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/{bin,man/man1}

install -s src/tin $RPM_BUILD_ROOT/usr/bin
ln -sf tin $RPM_BUILD_ROOT/usr/bin/rtin
install doc/tin.1 $RPM_BUILD_ROOT/usr/man/man1
cat > $RPM_BUILD_ROOT/usr/man/man1/rtin.1 <<EOF
.so tin.1
EOF

%files
%attr(  -, root, root) %doc README MANIFEST doc/{CHANGES,TODO,DEBUG_REFS}
%attr(  -, root, root) %doc doc/{WHATSNEW,*.txt}
%attr(755, root, root) /usr/bin/*
%attr(644, root,  man) /usr/man/man1/*

%changelog
* Wed Jan 14 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl> (1.4pre980105)
- added rtin(1) man page,
- rtin now it is sym link to tin,
- added --disable-debug to configure parameters.
 
* Tue Nov  4 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl> (1.4pre971102)
- added %%{PACKAGE_VERSION} in Buildroot,
- added all doc/*.txt docs.

* Fri Sep 12 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl> (1.3beta970911)
- changed %attr in %doc,

* Fri Aug 22 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl> 
- added %descripion.

* Mon Jul 21 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added %attr to all %doc (allow build package from non root account),

* Fri Jul 18 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added macro %version,
- added macros %attr in files,

* Mon Jun 16 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- changed nov-dir and spooldir (configure) to /var/spool/news,
- added Prefix field (packake now is relocatable),
- changed %install section.
